Subject: Re: [Last-Call] Last Call: <draft-rsalz-2028bis-05.txt> (Entities Involved in the IETF Standards Process) to Best Current Practice

From: Michael Richardson <[email-masked]>
Date: Wed, 09 Feb 2022 14:40:06 -0500

The IESG <[email-masked]> wrote:

    > The IESG has received a request from an individual submitter to consider the
    > following document: - 'Entities Involved in the IETF Standards Process'
    > <draft-rsalz-2028bis-05.txt> as Best Current Practice

It's still weird that IAB members are confirmed by the ISOC Board, rather
than the IETF LLC.  I know that it's not the job of this document to change
that, and that we decided to leave that alone during the LLC process.

This document is a great overview, and I hope that the HTML version will
become very visible on ietf.org.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Donald Eastlake <[email-masked]>
Date: Wed, 9 Feb 2022 17:50:09 -0500

A good document. Here are some comments:

Section 2.3 says "the AD will schedule an IETF last call (when needed)" but
my understanding is that all IETF stream documents now require IETF
consensus so there is always an IETF last call.

Section 3.7: "the products these RGs are" -> "the products of these RGs are"

Section 3.9 says "patent suits" but I think it would be clearer to say "patent
lawsuits".

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

On Mon, Feb 7, 2022 at 1:16 PM The IESG <[email-masked]> wrote:

> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2022-03-07. Exceptionally, comments
> may
> be sent to [email-masked] instead. In either case, please retain the
> beginning
> of the Subject line to allow automated sorting.
>
> Abstract
>
>
>    This document describes the individuals and organizations involved in
>    the IETF standards process, as described in IETF BCP 9.  It includes
>    brief descriptions of the entities involved, and the role they play
>    in the standards process.  This document obsoletes RFC 2028.
>
>
>
>
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-rsalz-2028bis/
>
>
>
> No IPR declarations have been submitted directly on this I-D.
>
>
>
>
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce
>

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 10 Feb 2022 14:54:29 +0000

Hi Donald, thanks for the review!

  *   Section 2.3 says "the AD will schedule an IETF last call (when needed)" but my understanding is that all IETF stream documents now require IETF consensus so there is always an IETF last call.

I’m going to tap-dance here and say “when needed” is “always”, so that this is an editorial change.  And the sentence order is backward, so I changed it to this.
                When satisfied, the AD coordinates the IESG review and IETF last call of the document.

Does that address the issue?

These are editorial improvements, so thanks:

  *   Section 3.7: "the products these RGs are" -> "the products of these RGs are"

  *   Section 3.9 says "patent suits" but I think it would be clearer to say "patent lawsuits".

I have made the changes in my copy at https://github.com/richsalz/draft-ietf-rfc2028bis

---

From: "John R Levine" <[email-masked]>
Date: 12 Feb 2022 22:23:48 -0500

The description of the IETF Trust in sec 3.8 is incomplete.

The IETF Trust owns the copyright in published RFCs as well as in works of 
the IETF itself such as the IETF's web site and software tools written by 
IETF contractors.  It also owns the domain names for the IETF and related 
orgznizations.

Also "IETF, IRTF and other related organizations (such as IANA)" is 
misleading.  The Trust owns the IP for the IETF, IRTF, and IAB.  It 
currently owns IANA's domain names and trademarks through an agreement 
with the IANA clients.

(The IANA stuff is not reallly part of the Trust's job and this trustee 
would be happier if the IANA clients found a neutral place to move it.)

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly

---

From: "Salz, Rich" <[email-masked]>
Date: Sun, 13 Feb 2022 16:33:30 +0000

Thanks for the reviews!

I don't know what "IANA clients" means, but this is the diff I have so far:

; g diff
diff --git a/draft-rsalz-2028bis.md b/draft-rsalz-2028bis.md
index 447f115..7f2429c 100644
--- a/draft-rsalz-2028bis.md
+++ b/draft-rsalz-2028bis.md
@@ -304,12 +304,14 @@ and operation of the IRTF, the ISRG, and its RGs may be found in
 ## The IETF Trust
 
 The IETF Trust is the legal owner of a number of intellectual
-properties for the IETF, IRTF and other related organizations (such as IANA).
-This includes the IETF trademarks, or
+properties for the IETF, IRTF, and IAB.
+This includes the IETF trademarks, and
 copyright licenses for IETF contributions including Internet Drafts.  The
 principles for the copyright licenses are described in {{IPRRIGHTS1}}
 and {{COPYRIGHT}}, and the licenses themselves are documented in the
 [Trust Legal Provisions](https://trustee.ietf.org/documents/trust-legal-provisions/).
+It also currently owns IANA's domain names and trademarks through an
+agreement with the IANA clients.
 
 The Trustees that govern the Trust are selected from the IETF community, as
 described in {{TRUSTEES}}.

---

From: "John R Levine" <[email-masked]>
Date: 13 Feb 2022 12:34:04 -0500

> I don't know what "IANA clients" means, but this is the diff I have so far:

The IANA clients are ICANN for domains, the RIRs for IP addresses and 
ASNs, and the IETF for protocol parameters.  Don't think you need to go 
into that much detail, though.

You should also say that the Trust owns the copyrights to RFCs and to 
works of the IETF.  Those aren't licenses, they're the actual copyrights.

The text about licenses for I-D's is correct.

Regards,

---

From: "Salz, Rich" <[email-masked]>
Date: Sun, 13 Feb 2022 21:00:10 +0000

Updated content in my copy on github, with wording form John out of band.
Thanks again!

---

From: Joe Abley <[email-masked]>
Date: Sun, 13 Feb 2022 17:14:29 -0500

On 13 Feb 2022, at 12:34, John R Levine <[email-masked]> wrote:

> The IANA clients are ICANN for domains,

For what it's worth (not much!) I don't think this is quite right; ICANN as a community sets policy for which ICANN the organisation is a legal home; the IANA function is the implementation of that policy. I don't think it means anything useful to say that ICANN is a client of IANA. Since IANA doesn't really exist as an entity it's a bit of a stretch to say that it has clients at all.

However, it comes to names the clients of PTI (which is an entity, and which executes the IANA function) are top-level domain managers for TLDs, RIRs for reverse mappings (IN-ADDR.ARPA and IP6.ARPA) and I guess the Root Zone Mantainer when it comes to the products of root zone DNSSEC key ceremonies.

I do not speak authoritatively about anything much these days, and certainly not this, but I think that's closer to reality.

> the RIRs for IP addresses and ASNs, and the IETF for protocol parameters.  Don't think you need to go into that much detail, though.

Joe

---

From: Donald Eastlake <[email-masked]>
Date: Sun, 13 Feb 2022 17:27:29 -0500

Hi Rich,

On Thu, Feb 10, 2022 at 9:54 AM Salz, Rich <[email-masked]> wrote:
> Section 2.3 says "the AD will schedule an IETF last call (when needed)" but my understanding is that all IETF stream documents now require IETF consensus so there is always an IETF last call.
>

OK, I'm satisfied.

> Section 3.9 says "patent suits" but I think it would be clearer to say "patent lawsuits".
>
>

Thanks,
Donald

---

From: "John R Levine" <[email-masked]>
Date: 13 Feb 2022 21:16:51 -0500

> For what it's worth (not much!) I don't think this is quite right; ...

The Trust has a bunch of contracts about the IANA stuff.  There is a 
Community Agreement among the Trust, ICANN for names, the RIRs for 
numbers, and the IETF for parameters:

https://trustee.ietf.org/wp-content/uploads/Community-Agreement-2016-09-30-Executed.pdf

The rest of the contracts are here:

https://trustee.ietf.org/iana-ipr/

Regards,